Hooks:PostHook( WeaponFactoryTweakData, "init", "FADModInit", function(self)

	self.parts.wpn_fps_ass_fusil_irons.stance_mod = {
		wpn_fps_ass_fusil = {
			translation = Vector3(-0.1, -8, -3.5)
		}
	}
	
	if BeardLib.Utils:FindMod("WeaponLib") then
		self.parts.wpn_fps_ass_fusil_b_heavy.override_weapon = {
			fire_mode_data = {
				fire_rate = 60 / 650
			}
		}
	end
	
	self.parts.wpn_fps_ass_fusil_m_std.pcs = nil
	self.parts.wpn_fps_ass_fusil_m_std.stats = nil
	self.parts.wpn_fps_ass_fusil_m_std.bullet_objects = {prefix = "g_bullet_", amount = 1}
	
	--self.parts.wpn_fps_ass_fusil_o_unfold.forbids = nil --screws up sight gadget

	
	--Optic Adjustment
	self.parts.wpn_fps_ass_fusil_o_adjust.stance_mod = {
		wpn_fps_ass_fusil = {
			translation = Vector3(0, -6, -1.125)
		}
	}
	
	self.wpn_fps_ass_fusil.adds = {
		wpn_fps_upg_o_specter = {
			"wpn_fps_ass_fusil_o_adjust"
		},
		wpn_fps_upg_o_aimpoint = {
			"wpn_fps_ass_fusil_o_adjust"
		},
		wpn_fps_upg_o_aimpoint_2 = {
			"wpn_fps_ass_fusil_o_adjust"
		},
		wpn_fps_upg_o_docter = {
			"wpn_fps_ass_fusil_o_adjust"
		},
		wpn_fps_upg_o_eotech = {
			"wpn_fps_ass_fusil_o_adjust"
		},
		wpn_fps_upg_o_t1micro = {
			"wpn_fps_ass_fusil_o_adjust"
		},
		wpn_fps_upg_o_cmore = {
			"wpn_fps_ass_fusil_o_adjust"
		},
		wpn_fps_upg_o_acog = {
			"wpn_fps_ass_fusil_o_adjust"
		},
		wpn_fps_upg_o_cs = {
			"wpn_fps_ass_fusil_o_adjust"
		},
		wpn_fps_upg_o_eotech_xps = {
			"wpn_fps_ass_fusil_o_adjust"
		},
		wpn_fps_upg_o_reflex = {
			"wpn_fps_ass_fusil_o_adjust"
		},
		wpn_fps_upg_o_rx30 = {
			"wpn_fps_ass_fusil_o_adjust"
		},
		wpn_fps_upg_o_rx01 = {
			"wpn_fps_ass_fusil_o_adjust"
		},
		wpn_fps_upg_o_spot = {
			"wpn_fps_ass_fusil_o_adjust"
		}
	}
	
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_corgi)
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_corgi)
	
	if self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_ass_corgi then
		self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_ass_fusil = deep_clone(self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_ass_corgi)
	else
		log("[ERROR] FAD AR - wpn_fps_upg_o_xpsg33_magnifier data for wpn_fps_ass_corgi not found!")
	end

end )